Subject: Re: bug#49637: abbrev-suggest does not hint in echo area

From: Charles Millar <[email-masked]>
Date: Mon, 19 Jul 2021 17:04:27 -0400

On 7/19/21 8:59 AM, Lars Ingebrigtsen wrote:
> Charles Millar <[email-masked]> writes:
> 
>>> (setq abbrev-suggest t)
>>> (setq abbrev-suggest-hint-threshold 0).
>>>
>>> My (global-abbrev-table) includes:
>>>
>>> "foo"           1    "find outer otter"
>>>
>>> (I checked to make sure that foo expanded to "find outer otter.")
>>>
>>> When I start to enter "find outer otter," and no matter how many
>>> letters I enter, including the entire phrase, there are no suggestions
>>> in the echo area.
> 
> It'll only give you a suggestion once you've typed the entire phrase --
> it doesn't know whether you're going to write something else, after all.
> 

OK. I misunderstood the documentation.

> And it seems to work find for be -- after I've typed "find outer otter"
> (and a bit more), I get a message saying "You can write ‘find outer
> otter’ using the abbrev ‘bar’."  (But you have to let Emacs idle before
> getting the message.)
> 
> So I'm unable to reproduce this problem in Emacs 28.
> 

Thank you.

Previously I entered the phrase plus a space, but obviously not wait 
long enough for the hint to appear.